**Overview:** Controllers that handle EnOcean Services.



**Author:** Martin Vach




* * *

# Global





* * *

## EnoceanDeviceController
The controller that renders the list of EnOcean manufacturers and devices.

### EnoceanDeviceController.loadEnOceanModule() 

Load Remote access data


### EnoceanDeviceController.loadData() 

Load z-wave devices



## EnoceanAssignController
The controller that teach-in a device by the profile.

### EnoceanAssignController.loadIncludedDevices() 

Load included devices


### EnoceanAssignController.loadProfiles() 

Load EnOcean profiles


### EnoceanAssignController.loadLocations() 

Load locations


### EnoceanAssignController.loadApiDevices() 

Load devices from the data holder


### EnoceanAssignController.loadDevice() 

Assign profile


### EnoceanAssignController.refreshData() 

Refresh data


### EnoceanAssignController.findDevice() 

Find last included device


### EnoceanAssignController.runCmd() 

Run command


### EnoceanAssignController.updateDevice() 

Update device


### EnoceanAssignController.devicesToRoom() 

Assign devices to the room


### EnoceanAssignController.assignProfile() 

Assign profile to the device



## EnoceanTeachinController
The controller that teach-in a device from the list.

### EnoceanTeachinController.loadIncludedDevices() 

Load included devices


### EnoceanTeachinController.loadProfiles() 

Load profiles


### EnoceanTeachinController.loadLocations() 

Load locations


### EnoceanTeachinController.loadApiDevices() 

Load device data holder


### EnoceanTeachinController.loadDevice() 

Load single device


### EnoceanTeachinController.refreshData() 

Refresh data


### EnoceanTeachinController.findDevice() 

Find last included device


### EnoceanTeachinController.runCmd() 

Run command


### EnoceanTeachinController.updateDevice() 

Update device


### EnoceanTeachinController.devicesToRoom() 

Assign devices to room


### EnoceanTeachinController.assignProfile() 

Assign profile to device



## EnoceanManageController
The controller that manage EnOcean devices.

### EnoceanManageController.loadApiDevices() 

Load API devices


### EnoceanManageController.loadProfiles() 

Load profiles


### EnoceanManageController.loadData() 

Load enocean data


### EnoceanManageController.runCmd() 

Run CMD


### EnoceanManageController.deleteDevice() 

Delete device


### EnoceanManageController.setDevices() 

Set devices


### EnoceanManageController.assignProfile() 

Assign profile to device


### EnoceanManageController.getElements() 

Get elements



## EnoceanManageDetailController
The controller that handles actions on the EnOcean device.

### EnoceanManageDetailController.loadProfiles() 

Load profiles


### EnoceanManageDetailController.loadData() 

Load enocean data


### EnoceanManageDetailController.loadApiDevices() 

Load devices data holder


### EnoceanManageDetailController.store() 

Store device data


### EnoceanManageDetailController.updateDevice() 

Update device


### EnoceanManageDetailController.devicesToRoom() 

Assign devices to room


### EnoceanManageDetailController.runCmd() 

Run command


### EnoceanManageDetailController.setDevices() 

Set devices


### EnoceanManageDetailController.assignProfile() 

Assign profile to device


### EnoceanManageDetailController.loadLocations() 

Load locations



## EnoceanControllerController
The controller that renders informations about the controller.

### EnoceanControllerController.loadData() 

Load enocean data




* * *
